> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/59.-consulta-obter-conjuntos-de-dados-de-aplicacao-realizada.md).

# 59. Consulta: Obter "Conjuntos de Dados de Aplicação Realizada"

Obter conjuntos de dados de plantio ou aplicação realizados

Recupere todos os "AsAppliedDatasets" para o "Field" selecionado. Os conjuntos de dados podem ser obtidos usando consultas GraphQL genéricas como `getFarms` e `getFields` a partir do "Field" vinculado.&#x20;

{% hint style="warning" %}
Um "AsAppliedDataset" precisa ser enviado com antecedência.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    nome
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        nome
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributos
        
        fullAttributes { #detalhes completos por atributo
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #nome legível por humanos correto
          unit#unidades de medida
        }

        usedMachines { #máquinas usadas
          id
          serial
          operatorId
        } 

        createdDate #data e hora de criação da entidade no GeoPard
        updatedDate #data e hora da última atualização
        operationId
        operationType
        operationFileDate #data e hora de criação do arquivo vem da metainformação 
        operationStartDate #início da operação vem da metainformação
        
        statistics { #distribuição estatística para cada atributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        nome
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributos
        
        fullAttributes { #detalhes completos por atributo
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #nome legível por humanos correto
          unit#unidades de medida
        }

        usedMachines { #máquinas usadas
          id
          serial
          operatorId
        } 

        createdDate #data e hora de criação da entidade no GeoPard
        updatedDate #data e hora da última atualização
        operationId
        operationType
        operationFileDate #data e hora de criação do arquivo vem da metainformação 
        operationStartDate #início da operação vem da metainformação
        
        statistics { #distribuição estatística para cada atributo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/59.-consulta-obter-conjuntos-de-dados-de-aplicacao-realizada.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
